/*
	AudioObjects - InputDeviceAudioSource.h
	(c) 2002-2003 edot studios
	all rights reserved
	
	Author: Lieven Dekeyser <lieven@edot-studios.com>
	
	Version History:
	
		2003-06-18 : support for other stream format by inheriting AUConverterUnit
		2003-06-09 : changed to use the AudioUnit v2 RenderCallback
		2002-01-18 : first version
*/

#import <CoreAudio/CoreAudio.h>
#import <AudioUnit/AudioUnit.h>
#import <AudioObjects/AUConverterUnit.h>
#import <AudioObjects/VirtualRingBuffer.h>

@interface InputDeviceObject : AUConverterUnit {
	AudioDeviceID		deviceID;
	VirtualRingBuffer	*buffer;
}

- (id)init; // default input device
- (id)initWithDeviceID:(AudioDeviceID)theDeviceID;

- (void)start;
- (void)stop;

@end

// you can use this as the inputProc for an AudioSource object.
// The refCon has to be a VirtualRingBuffer!
OSStatus RenderCallbackUsingVirtualRingBuffer(void *inRefCon, AudioUnitRenderActionFlags *inActionFlags, const AudioTimeStamp *inTimeStamp, UInt32 inBusNumber, UInt32 inNumFrames, AudioBufferList *ioData);