/*
	AudioObjects - OutputDeviceUnit.h
	(c) 2002-2003 edot studios
	all rights reserved
	
	Author(s):
	
		Lieven Dekeyser <lieven@edot-studios.com>
	
	Version History:
	
		2003-06-01 : changed to use the v2 AudioUnit
		2002-01-18 : first version
*/

#import <AudioObjects/AudioUnitObject.h>
#import <CoreAudio/CoreAudio.h>

@interface OutputDeviceUnit : AudioUnitObject {
	AudioUnitParameterID	volumeParameter;
	AudioDeviceID			deviceID;
}

- (id)init;
- (id)initWithDeviceID:(AudioDeviceID)theDeviceID;
- (void)setDeviceID:(AudioDeviceID)theDeviceID;

- (AudioDeviceID)deviceID;

- (void)start;
- (void)stop;

- (Float32)getVolume;
- (void)setVolume:(Float32)val;

@end
